import { AfterContentInit, ChangeDetectorRef, EventEmitter } from '@angular/core';
import { DateAdapter, NtDateFormats } from '@ng-tangram/components/core';
import { NtDatePickerCell } from './datepicker-models';
export declare class NtDatePickerYearComponent<D> implements AfterContentInit {
    private _changeDetectorRef;
    private _dateAdapter;
    private _dateFormats;
    _months: NtDatePickerCell[][];
    _todayMonth: number | null;
    _selectedMonth: number | null;
    private _activeDate;
    private _selected;
    private _minDate;
    private _maxDate;
    get activeDate(): D;
    set activeDate(value: D);
    get activeYear(): number | null;
    get selected(): D | null;
    set selected(value: D | null);
    get minDate(): D | null;
    set minDate(value: D | null);
    get maxDate(): D | null;
    set maxDate(value: D | null);
    dateFilter: (date: D) => boolean;
    readonly selectedChange: EventEmitter<D>;
    readonly monthSelected: EventEmitter<D>;
    constructor(_changeDetectorRef: ChangeDetectorRef, _dateAdapter: DateAdapter<D>, _dateFormats: NtDateFormats);
    ngAfterContentInit(): void;
    _init(): void;
    _monthSelected(month: number): void;
    private _createCellForMonth;
    private _shouldEnableMonth;
    private _isYearAndMonthAfterMaxDate;
    private _isYearAndMonthBeforeMinDate;
    private _getMonthInCurrentYear;
    private _getValidDateOrNull;
}
